Add a tier filter to a campaign
curl --request POST \
--url https://api.journeybee.io/v1/campaigns/{uuid}/tiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tier_uuid": "<string>"
}
'import requests
url = "https://api.journeybee.io/v1/campaigns/{uuid}/tiers"
payload = { "tier_uuid": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tier_uuid: '<string>'})
};
fetch('https://api.journeybee.io/v1/campaigns/{uuid}/tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.journeybee.io/v1/campaigns/{uuid}/tiers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tier_uuid' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.journeybee.io/v1/campaigns/{uuid}/tiers"
payload := strings.NewReader("{\n \"tier_uuid\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.journeybee.io/v1/campaigns/{uuid}/tiers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tier_uuid\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.journeybee.io/v1/campaigns/{uuid}/tiers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tier_uuid\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"title": "<string>",
"type": "<string>",
"description": "<string>",
"status": "<string>",
"completed": true,
"lead_sharing_enabled": true,
"start_date": "<string>",
"end_date": "<string>",
"scheduled_at": "<string>",
"timezone": "<string>",
"venue": "<string>",
"physical_address": "<string>",
"partner_type_referral": true,
"partner_type_reseller": true,
"partner_type_distributor": true,
"email_status": "draft",
"enabled_modules": [
"details"
],
"email_template": {
"uuid": "<string>",
"name": "<string>",
"subject": "<string>",
"channel": "email"
},
"tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>",
"tiers": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"categories": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"stages": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"partners": [
{
"uuid": "<string>",
"name": "<string>",
"partner_type": "referral",
"shared": true,
"shared_leads": true
}
],
"recipient_partnerships": [
{
"uuid": "<string>",
"name": "<string>",
"partner_type": "referral"
}
],
"contact_tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"contacts": [
{
"uuid": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
}
]
}Campaign Audience
Add a tier filter to a campaign
POST
/
campaigns
/
{uuid}
/
tiers
Add a tier filter to a campaign
curl --request POST \
--url https://api.journeybee.io/v1/campaigns/{uuid}/tiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tier_uuid": "<string>"
}
'import requests
url = "https://api.journeybee.io/v1/campaigns/{uuid}/tiers"
payload = { "tier_uuid": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tier_uuid: '<string>'})
};
fetch('https://api.journeybee.io/v1/campaigns/{uuid}/tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.journeybee.io/v1/campaigns/{uuid}/tiers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tier_uuid' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.journeybee.io/v1/campaigns/{uuid}/tiers"
payload := strings.NewReader("{\n \"tier_uuid\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.journeybee.io/v1/campaigns/{uuid}/tiers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tier_uuid\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.journeybee.io/v1/campaigns/{uuid}/tiers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tier_uuid\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"title": "<string>",
"type": "<string>",
"description": "<string>",
"status": "<string>",
"completed": true,
"lead_sharing_enabled": true,
"start_date": "<string>",
"end_date": "<string>",
"scheduled_at": "<string>",
"timezone": "<string>",
"venue": "<string>",
"physical_address": "<string>",
"partner_type_referral": true,
"partner_type_reseller": true,
"partner_type_distributor": true,
"email_status": "draft",
"enabled_modules": [
"details"
],
"email_template": {
"uuid": "<string>",
"name": "<string>",
"subject": "<string>",
"channel": "email"
},
"tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>",
"tiers": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"categories": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"stages": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"partners": [
{
"uuid": "<string>",
"name": "<string>",
"partner_type": "referral",
"shared": true,
"shared_leads": true
}
],
"recipient_partnerships": [
{
"uuid": "<string>",
"name": "<string>",
"partner_type": "referral"
}
],
"contact_tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"contacts": [
{
"uuid": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
}
]
}Authorizations
Path Parameters
Response
200 - application/json
Default Response
Modules enabled on the campaign, aliased to canonical names (the legacy "audience" value is always reported as "recipients", even if the row still stores "audience"). Built modules: details, schedule, recipients, partners, email, templates, forms, leads, settings. Reserved/roadmap values (tags, notes, analytics, assets, mdf, social) may also appear if already stored on the row.
Available options:
details, schedule, partners, audience, recipients, email, templates, forms, tags, notes, leads, analytics, assets, mdf, social, settings